# Uses of Interface
org.eclipse.ui.contexts.IContextActivation

Packages that use IContextActivation
Package
Description
org.eclipse.ui.contexts
Provides support for integrating contexts into the Eclipse workbench.

## Uses of IContextActivation in org.eclipse.ui.contexts

Methods in org.eclipse.ui.contexts that return IContextActivation
Modifier and Type
Method
Description
`IContextActivation`
IContextService.`activateContext(String contextId)`
Activates the given context within the context of this service.
`IContextActivation`
IContextService.`activateContext(String contextId, Expression expression)`
Activates the given context within the context of this service.
`IContextActivation`
IContextService.`activateContext(String contextId, Expression expression, boolean global)`
Activates the given context within the context of this service.
`IContextActivation`
IContextService.`activateContext(String contextId, Expression expression, int sourcePriorities)`
Deprecated.
Use `IContextService.activateContext(String, Expression)` instead.
Methods in org.eclipse.ui.contexts with parameters of type IContextActivation
Modifier and Type
Method
Description
`void`
IContextService.`deactivateContext(IContextActivation activation)`
Deactivates the given context within the context of this service.